//
//  DetailPolozkyViewController.swift
//  NoxWallet
//
//  Created by Tomáš Hamerník on 12.06.15.
//  Copyright (c) 2015 Tomáš Hamerník. All rights reserved.
//

import UIKit

class DetailPolozkyViewController: UIViewController {

    @IBOutlet var NazevPolozkyDetail: UITextField!
    @IBOutlet var HodnotaPolozkyDetail: UITextField!
    @IBOutlet var kategorieDetailpopisek: UILabel!
    @IBOutlet var popisekDatum: UILabel!
    
    var dataDetail:NSDictionary = NSDictionary()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        //zakazat uzivateli upravu
        NazevPolozkyDetail.userInteractionEnabled = false
        HodnotaPolozkyDetail.userInteractionEnabled = false
        
        //naplneni textovych poli
        NazevPolozkyDetail.text = dataDetail.objectForKey("nazevPolozky") as? String
        HodnotaPolozkyDetail.text = dataDetail.objectForKey("hodnotaPolozky")as? String
        kategorieDetailpopisek.text = dataDetail.objectForKey("kategoriePolozky") as? String
        popisekDatum.text = dataDetail.objectForKey("datum") as? String
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    @IBAction func SmazatPolozku(sender: AnyObject) {
               
        let nacteniCenyPrijem = "cenaPrijem"
        let nacteniCenyVydaj = "cenaVydaj"
        let defaultsPrijem : NSUserDefaults = NSUserDefaults.standardUserDefaults()
        let defaultsVydaj :NSUserDefaults = NSUserDefaults.standardUserDefaults()
        var cenaPrijem : NSString!
        var cenaVydaj : NSString!
        
        cenaPrijem = defaultsPrijem.objectForKey(nacteniCenyPrijem) as! NSString
        cenaVydaj = defaultsVydaj.objectForKey(nacteniCenyVydaj) as! NSString
        
        var cenaPrijemCislo : Int!
        cenaPrijemCislo = cenaPrijem.integerValue
        var cenaVydajCislo : Int!
        cenaVydajCislo = cenaVydaj.integerValue
        
        let cenaPolozkyCislo = (self.dataDetail.objectForKey("hodnotaPolozky"))?.integerValue
        
        if ((self.dataDetail.objectForKey("druhZaznamu")!.isEqual("prijem")))
        {
            cenaPrijemCislo = cenaPrijemCislo - cenaPolozkyCislo!
            let str : NSString! = String(cenaPrijemCislo)
            defaultsPrijem.setObject(str, forKey: "cenaPrijem")
        } else {
            cenaVydajCislo = cenaVydajCislo - cenaPolozkyCislo!
            let str : NSString! = String(cenaVydajCislo)
            defaultsVydaj.setObject(str, forKey: "cenaVydaj")
            
        }
        
        
        
        let userDefaults:NSUserDefaults =  NSUserDefaults.standardUserDefaults()
        
        let polePolozek:NSMutableArray = userDefaults.objectForKey("polozka") as! NSMutableArray
        
        let promenePolePolozek:NSMutableArray = NSMutableArray()
        
        for knihovna:AnyObject in polePolozek{
            promenePolePolozek.addObject(knihovna as! NSDictionary)
        }
        
       promenePolePolozek.removeObject(dataDetail)
        userDefaults.removeObjectForKey("polozka")
        userDefaults.setObject(promenePolePolozek, forKey: "polozka")
        userDefaults.synchronize()
        
        defaultsVydaj.synchronize()
        defaultsPrijem.synchronize()
        
    }
}
