//
//  DetailTableViewController.swift
//  NoxWallet
//
//  Created by Tomáš Hamerník on 12.06.15.
//  Copyright (c) 2015 Tomáš Hamerník. All rights reserved.
//

import UIKit

class DetailTableViewController: UITableViewController {
    
    var polozkyView:NSMutableArray = NSMutableArray()
    var druhZaznamuPole:NSMutableArray = NSMutableArray()
    var druhPolozky:NSMutableDictionary!
    
    override func viewDidAppear(animated: Bool) {
        let userDefaults:NSUserDefaults = NSUserDefaults.standardUserDefaults()
        
        let nacteniPolozky:NSMutableArray? = userDefaults.objectForKey("polozka") as? NSMutableArray
        
        if ((nacteniPolozky) != nil)
        {
            polozkyView = nacteniPolozky!
        }

       self.tableView.reloadData()
        
    }

    override func viewDidLoad() {
        super.viewDidLoad()

        let userDefaults:NSUserDefaults = NSUserDefaults.standardUserDefaults()
        
        let nacteniPolozky:NSMutableArray? = userDefaults.objectForKey("polozka") as? NSMutableArray
        
        if ((nacteniPolozky) != nil)
        {
            polozkyView = nacteniPolozky!
        }

        for var i = 0; i<self.polozkyView.count;i++
        {
            druhPolozky = self.polozkyView.objectAtIndex(i) as! NSMutableDictionary
            let druh = druhPolozky.objectForKey("druhZaznamu") as! NSString
            if (druh.containsString("prijem"))
            {
                druhZaznamuPole.addObject("prijem")
            } else {
                druhZaznamuPole.addObject("vydaj")
            }
            print(druhZaznamuPole)
        }
        self.tableView.reloadData()
         print(polozkyView)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()

    }


    override func numberOfSectionsInTableView(tableView: UITableView?) -> Int {

        return 1
    }

    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return polozkyView.count
    }

    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCellWithIdentifier("Cell", forIndexPath: indexPath) 
      let jednaPolozka:NSDictionary = polozkyView.objectAtIndex(indexPath.row) as! NSDictionary
        cell.textLabel?.text = jednaPolozka.objectForKey("nazevPolozky") as? String
        
        for var i = 0; i<self.druhZaznamuPole.count; i++
        {
            let druhZaznamu = self.druhZaznamuPole.objectAtIndex(indexPath.row) as! NSString
            if (druhZaznamu.containsString("prijem"))
            {
                cell.backgroundColor = UIColor.greenColor()
            } else {
                cell.backgroundColor = UIColor.redColor()
            }
        }
        return cell
    }
    
    override func prepareForSegue(segue: UIStoryboardSegue?, sender: AnyObject?) {

        if (segue!.identifier == "Detail")
        {
            var selectedIndexPath: NSIndexPath!
            selectedIndexPath = self.tableView.indexPathForSelectedRow
            let prechodDetail = segue!.destinationViewController as! DetailPolozkyViewController
            prechodDetail.dataDetail = polozkyView.objectAtIndex(selectedIndexPath.row) as! NSDictionary
           
        }

    }
    

}
