//
//  HlavniViewController.m
//  NoxWalletC
//
//  Created by Tomáš Hamerník on 04.07.15.
//  Copyright (c) 2015 Tomáš Hamerník. All rights reserved.
//

#import "HlavniViewController.h"
#import "PrijemViewController.h"
#import "VydajViewController.h"

@interface HlavniViewController ()

@end

@implementation HlavniViewController

@synthesize PopisekPrijemText, PopisekVydajText;

NSString *nacteniCenyPrijem = @"nacteniCeny";
NSString *nacteniCenyVydaje = @"nacteniCenyVydaj";
NSString *PopisekPrijemText;

- (void)viewDidLoad {
    
    self.PopisekPrijem.text =PopisekPrijemText;
    //self.PopisekVydaje.text = PopisekVydajText;
    [super viewDidLoad];
    
    
    self.tlacitkoPrijem.backgroundColor = [UIColor greenColor];
    self.tlacitkoVydaj.backgroundColor = [UIColor redColor];
    
    self.PopisekPrijem.textColor = [UIColor greenColor];
    self.PopisekVydaje.textColor = [UIColor redColor];
 
    NSUserDefaults *defaultsPrijem = [NSUserDefaults standardUserDefaults];
    NSString *pojmenovaniPrijem;
    if ((pojmenovaniPrijem =[defaultsPrijem stringForKey:nacteniCenyPrijem])) {
        
        self.PopisekPrijem.text = pojmenovaniPrijem;
    }
    
    NSUserDefaults *defaultsVydaj = [NSUserDefaults standardUserDefaults];
    NSString *pojmenovaniVydaj;
    if ((pojmenovaniVydaj =[defaultsVydaj stringForKey:nacteniCenyVydaje])) {
        
        self.PopisekVydaje.text = pojmenovaniVydaj;
    }
    
    int PopisekPrijemCislo = [self.PopisekPrijem.text intValue];
    int PopisekVydajCislo = [self.PopisekVydaje.text intValue];
  
    if ((PopisekPrijemCislo != 0) && (PopisekVydajCislo != 0)) {
        int UsporyVypocet = PopisekPrijemCislo - PopisekVydajCislo;
        
        NSString *str = [NSString stringWithFormat:@"%d",UsporyVypocet];
        
        self.PopisekUspory.text = str;
    } else {
    
    if (PopisekPrijemCislo == 0) {
        
        int UsporyVypocet = 0 - PopisekVydajCislo;
        NSString *str = [NSString stringWithFormat:@"%d", UsporyVypocet];
        self.PopisekUspory.text = str;
    } else {
        int UsporyVypocet = PopisekPrijemCislo;
        NSString *str = [NSString stringWithFormat:@"%d", UsporyVypocet];
        self.PopisekUspory.text = str;
    }
        }
    
    float popisekPrijemFloat = [self.PopisekPrijem.text floatValue];
    float popisekVydajFloat = [self.PopisekVydaje.text floatValue];
    float procento = (popisekPrijemFloat + popisekVydajFloat)/100;
    float prijemProcenta = popisekPrijemFloat/procento;
    float vydajProcenta = popisekVydajFloat/procento;

    self.popisekPrijemGraf.text = [NSString stringWithFormat:@"%.02f%%",prijemProcenta];
    self.popisekVydajGraf.text = [NSString stringWithFormat:@"%.02f%%", vydajProcenta];
    
    // Do any additional setup after loading the view.
    
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)tlacitkoSmazat:(id)sender {
    NSUserDefaults *defaultdsDelete = [NSUserDefaults standardUserDefaults];
    [defaultdsDelete removeObjectForKey:@"polozky"];
    
    NSUserDefaults *detailDelete = [NSUserDefaults standardUserDefaults];
    [detailDelete removeObjectForKey:@"detailPolozky"];
    
    NSUserDefaults *smazatVydaje = [NSUserDefaults standardUserDefaults];
    [smazatVydaje removeObjectForKey:@"nacteniCenyVydaj"];
    self.PopisekVydaje.text = 0;
    
    NSUserDefaults *smazatPrijmy = [NSUserDefaults standardUserDefaults];
    [smazatPrijmy removeObjectForKey:@"nacteniCeny"];
    self.PopisekPrijem.text = 0;
    
    self.PopisekUspory.text = 0;
}

@end
