//
//  PrijemViewController.m
//  NoxWalletC
//
//  Created by Tomáš Hamerník on 04.07.15.
//  Copyright (c) 2015 Tomáš Hamerník. All rights reserved.
//

#import "PrijemViewController.h"
#import "HlavniViewController.h"


@interface PrijemViewController ()

@end

@implementation PrijemViewController

//@synthesize  detailPrijem, kategoriePicker, kategoriePopisek, polozkyPrijem;

NSString *cisloNoveString;
NSString *prenosStringuPrijem;


NSString *nacteniCeny = @"nacteniCeny";


int cisloNoveInt;
int cisloPuvodniPrijem;

-(void)viewDidAppear:(BOOL)animated
{
    cisloPuvodniPrijem = [prenosStringuPrijem intValue];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    self.HodnotaPolozky.delegate = self;
    self.NazevPolozky.delegate = self;
    
    self.HodnotaPolozky.keyboardType = UIKeyboardTypeNumberPad;
    
   self.kategoriePopisek.text = @"Jidlo";
    kategorie = [[NSArray alloc]initWithObjects:@"Jidlo",@"Obleceni",@"Ostatni",@"Vyplata", nil];
  
    
    NSUserDefaults *defaultsPrijem = [NSUserDefaults standardUserDefaults];
    NSString *pojmenovaniPrijem;
    if ((pojmenovaniPrijem =[defaultsPrijem stringForKey:nacteniCeny])) {
        
       prenosStringuPrijem = pojmenovaniPrijem;
    }

  
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    
    if ([segue.identifier  isEqual: @"Prijem"]) {
        HlavniViewController *prechodPrijem = [segue destinationViewController];
        prechodPrijem.PopisekPrijemText = self.HodnotaPolozky.text;
                
    }

    
}


- (IBAction)TlacitkoPrijem:(id)sender {
    
    if (([self.NazevPolozky.text  isEqual: @""]) || ( [self.HodnotaPolozky.text  isEqual: @""]))
        {
            NSLog(@"Error");
        } else {
    //NSString *cisloNoveString;
    cisloNoveString = self.HodnotaPolozky.text;
   
    
    cisloNoveInt = [cisloNoveString intValue];
    NSLog(@"%d", cisloNoveInt);
    
    if (cisloPuvodniPrijem != (int)nil) { //int(nil) osetri ze bere vstup pouze ciselnych hodnot, u switu s timhle je problem
        int vysledek = cisloPuvodniPrijem + cisloNoveInt;
        cisloPuvodniPrijem = vysledek;
        
        prenosStringuPrijem = [NSString stringWithFormat:@"%d",vysledek];
        
        
    } else {
        prenosStringuPrijem = self.HodnotaPolozky.text;
        cisloPuvodniPrijem = [self.HodnotaPolozky.text intValue];
        
    }
    //self.Pokus.text = prenosStringuPrijem;
    
    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
    [defaults setObject:prenosStringuPrijem forKey:nacteniCeny];
    

    NSUserDefaults *userDefaults = [NSUserDefaults standardUserDefaults];
    NSUserDefaults *detailDefaults = [NSUserDefaults standardUserDefaults];
    
   // NSMutableArray *polozkyPrijem = [[NSMutableArray alloc]init];
    self.polozkyPrijem = [userDefaults objectForKey:@"polozky"]; //userDefaults.objectForKey("polozka") as? NSMutableArray
    self.detailPrijem = [detailDefaults objectForKey:@"detailPolozky"];
    
    NSLog(@"%@",self.polozkyPrijem);

    
   //!!!!!!!!!!!-------Pro prvni naplnení---------!!!!!!!!!
    NSMutableArray *Prijem = [[NSMutableArray alloc]init];
    [Prijem addObject:self.NazevPolozky.text];
    //[userDefaults setObject:Prijem forKey:@"polozky"];
    
    if (self.polozkyPrijem !=nil) {
        NSMutableArray *novePole = [[NSMutableArray alloc]init];
        NSMutableArray *dict = [[NSMutableArray alloc]init];
        
        for (dict in self.polozkyPrijem) {
            [novePole addObject:dict];
        }
        
        [userDefaults removeObjectForKey:@"polozky"];
        [novePole addObject:[Prijem objectAtIndex:0]];
        [detailDefaults setObject:novePole forKey:@"polozky"];
    } else {
        [userDefaults removeObjectForKey:@"polozky"];
        NSMutableArray *novePole = [[NSMutableArray alloc]init];
        [novePole addObject:[Prijem objectAtIndex:0]];
        [userDefaults setObject:novePole forKey:@"polozky"];
        
    }

    
   NSDateFormatter *dateFormatter=[[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"dd-MM-yyyy HH:mm"];
    NSLog(@"%@",[dateFormatter stringFromDate:[NSDate date]]);
    NSString *datum =[dateFormatter stringFromDate:[NSDate date]];
    
    NSMutableDictionary *dataPrijem = [[NSMutableDictionary alloc]init];
    [dataPrijem setObject:self.NazevPolozky.text forKey:@"nazevPolozky"];
    [dataPrijem setObject:self.HodnotaPolozky.text forKey:@"hodnotaPolozky"];
    [dataPrijem setObject:@"prijem" forKey:@"druhZaznamu"];
    [dataPrijem setObject:self.kategoriePopisek.text forKey:@"kategoriePolozky"];
    [dataPrijem setObject:datum forKey:@"datum"];
    
    //[detailDefaults setObject:dataPrijem forKey:@"detailPolozky"];
    
    if (self.detailPrijem !=nil) {
        NSMutableArray *novePole = [[NSMutableArray alloc]init];
       // NSDictionary *dict = [[NSDictionary alloc]init];
       
        for (NSString *dict in self.detailPrijem) {
            [novePole addObject:dict];
        }
        
        [detailDefaults removeObjectForKey:@"detailPolozky"];
        [novePole addObject:dataPrijem];
        [detailDefaults setObject:novePole forKey:@"detailPolozky"];
    } else {
        [detailDefaults removeObjectForKey:@"detailPolozky"];
        NSMutableArray *novePole = [[NSMutableArray alloc]init];
        [novePole addObject:dataPrijem];
        [detailDefaults setObject:novePole forKey:@"detailPolozky"];
        
    }

    [detailDefaults synchronize];
    [userDefaults synchronize];
    
     NSLog(@"%@",[userDefaults objectForKey:@"polozky"]);
     NSLog(@"%@",[detailDefaults objectForKey:@"detailPolozky"]);
    NSLog(@"%@", [dataPrijem objectForKey:@"nazevPolozky"]);
            
        }
}

-(NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
    return 1;
}

-(NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component
{
    return [kategorie count];
}

- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component
{
    return [kategorie objectAtIndex:row];
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component
{
    
    [self.kategoriePopisek setText:[kategorie objectAtIndex:row]];
}

-(void) touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    [self.HodnotaPolozky resignFirstResponder];
    [self.NazevPolozky resignFirstResponder];
    [self.view endEditing:true];
    
}

@end
