//
//  graf.m
//  NoxWalletC
//
//  Created by Tomáš Hamerník on 06.08.15.
//  Copyright (c) 2015 Tomáš Hamerník. All rights reserved.
//

#import "graf.h"
#include <math.h>
@implementation graf


// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    
    
    NSUserDefaults *defaultsPrijem = [NSUserDefaults standardUserDefaults];
    NSUserDefaults *defaultsVydaj = [NSUserDefaults standardUserDefaults];
    
    NSString *prijemString = [defaultsPrijem objectForKey:@"nacteniCeny"];
    NSString *vydajString = [defaultsVydaj objectForKey:@"nacteniCenyVydaj"];
    
    float prijemFloat = [prijemString floatValue];
    float vydajFloat = [vydajString floatValue];
    
    float procento = (prijemFloat + vydajFloat)/100;
    
    
    
    CGContextRef contextRef = UIGraphicsGetCurrentContext();
    
    CGContextSetLineWidth(contextRef, 2.0);
   
    CGContextSetRGBFillColor(contextRef, 0, 0, 1.0, 1.0);
    CGContextSetRGBStrokeColor(contextRef, 0, 0, 1.0, 1.0);
    
    
    CGColorRef red = [[UIColor redColor]CGColor];
    CGColorRef green = [[UIColor greenColor]CGColor];
    
   CGContextSetFillColorWithColor(contextRef, green);
    CGRect PrijemPoint = (CGRectMake(80,200.0, 50.0, (-prijemFloat/procento)*2));
    
    CGContextFillRect(contextRef,PrijemPoint);
   
    CGContextSetFillColorWithColor(contextRef, red);
    CGRect VydajPoint = (CGRectMake(150, 200.0, 50.0, (-vydajFloat/procento)*2));
    
    CGContextFillRect(contextRef,VydajPoint);
    
}


@end
