//
//  Graf.swift
//  NoxWallet
//
//  Created by Tomáš Hamerník on 12.06.15.
//  Copyright (c) 2015 Tomáš Hamerník. All rights reserved.
//

import UIKit
import Foundation

//import Darwin


class Graf: UIView {
    
    
   override func drawRect(rect: CGRect) {
    
        let defaultsPrijem : NSUserDefaults  = NSUserDefaults.standardUserDefaults()
        let defaultsVydaj : NSUserDefaults  = NSUserDefaults.standardUserDefaults()
    
    if ((defaultsPrijem.objectForKey("cenaPrijem") != nil) && (defaultsVydaj.objectForKey("cenaVydaj") != nil))
    {
        let prijemString : NSString = defaultsPrijem.objectForKey("cenaPrijem") as! NSString
        let vydajString : NSString = defaultsVydaj.objectForKey("cenaVydaj") as! NSString
        
        let prijemFloat = prijemString.floatValue
        let vydajFloat = vydajString.floatValue
        
        let procento = CGFloat(((prijemFloat + vydajFloat)/100))
        
        let prijemCGFloat : CGFloat = (-CGFloat(prijemFloat)/procento)*2
        let vydajCGFloat : CGFloat = (-CGFloat(vydajFloat)/procento)*2
        
       
        let contextRef = UIGraphicsGetCurrentContext()
        
        CGContextSetLineWidth(contextRef, 2.0)
        
        let red : CGColorRef = UIColor.redColor().CGColor
        let green : CGColorRef = UIColor.greenColor().CGColor
        
       
        let prijemGraf = CGRectMake(80, 200, 50, prijemCGFloat)// nemohl sem tu pracovat se znaminky takze se to muselo spocitat nahore zvlast
        CGContextAddRect(contextRef, prijemGraf)
        CGContextSetFillColorWithColor(contextRef, green)
        CGContextFillRect(contextRef,prijemGraf)
        
        let vydajGraf = CGRectMake(150, 200, 50, vydajCGFloat)
        CGContextAddRect(contextRef, vydajGraf)
        CGContextSetFillColorWithColor(contextRef, red)
        CGContextFillRect(contextRef,vydajGraf)
            }
        }
   
    }
