//
//  HlavniViewController.swift
//  NoxWallet
//
//  Created by Tomáš Hamerník on 02.06.15.
//  Copyright (c) 2015 Tomáš Hamerník. All rights reserved.
//
import Foundation
import UIKit







class HlavniViewController: UIViewController {

    @IBOutlet var PopisekPrijem: UILabel!
    @IBOutlet var PopisekVydaje: UILabel!
    @IBOutlet var PopisekUspory: UILabel!
    
    @IBOutlet var tlacitkoPrijem: UIButton!
    @IBOutlet var tlacitkoVydaj: UIButton!
   
    @IBOutlet var PopisekPrijemProcenta: UILabel!
    @IBOutlet var PopisekVydajeProcenta: UILabel!
    
    var cisloPuvodni : Int?
    var cisloNove : Int?
    
    // nepouzite
    var procentaPrijmy : Float!
    var procentaVydaje : Float!
    
    var PopisekPrijemText: String!
    var PopisekVydajText : String!
    var nacteniCenyPrijem = "cenaPrijem"
    var nacteniCenyVydaj = "cenaVydaj"
    
    //inicializace
   let oknoPrijem = PrijemViewController()
    let oknoVydaj = VydajViewController()

  func vec () -> String {
    return "vec"
    }
    
    override func viewDidAppear(animated: Bool) {
        
    }
    
    override func viewWillAppear(animated: Bool) {
    }
    
    override func viewDidLoad() {
     
        super.viewDidLoad()
         //self.PopisekPrijem.text = 
    
        
        tlacitkoPrijem.backgroundColor = UIColor.greenColor()
        tlacitkoVydaj.backgroundColor = UIColor.redColor()
        
        PopisekPrijem.textColor = UIColor.greenColor()
        PopisekVydaje.textColor = UIColor.redColor()
     
        //nacteni prijmu
        let defaultsPrijem = NSUserDefaults.standardUserDefaults()
        if let pojmenovaniPrijem = defaultsPrijem.stringForKey(nacteniCenyPrijem)
        {
            self.PopisekPrijem.text = pojmenovaniPrijem
            
        }
        
        //nacteni vydaju
        let defaultsVydaj = NSUserDefaults.standardUserDefaults()
        if let pojmenovaniVydaj = defaultsVydaj.stringForKey(nacteniCenyVydaj)
        {
            self.PopisekVydaje.text = pojmenovaniVydaj
        }

        //vypocet uspor
       let PopisekPrijemCislo = Int(PopisekPrijem.text!)
        let PopisekVydajCislo = Int(PopisekVydaje.text!)
        
        // dopsat 0-vydaj = -uspory
        if ((PopisekPrijemCislo != nil) && (PopisekVydajCislo != nil))
        {
            
        let UsporyVypocet = PopisekPrijemCislo! - PopisekVydajCislo!
        PopisekUspory.text = String(UsporyVypocet)
            
            let popisekPrijemFloat = Float(PopisekPrijemCislo!)
            let popisekVydajeFloat = Float(PopisekVydajCislo!)
            let procento = (popisekPrijemFloat + popisekVydajeFloat)/100
            let prijemProcenta = popisekPrijemFloat/procento
            let vydajeProcenta = popisekVydajeFloat/procento
            
            self.PopisekPrijemProcenta.text = String(format: "%.2f%%",prijemProcenta)
            self.PopisekVydajeProcenta.text = String(format: "%.2f%%",vydajeProcenta)
        }
        
                
    }
    @IBAction func unwindZPrijmu(segue: UIStoryboardSegue) {
        
        let defaultsPrijem = NSUserDefaults.standardUserDefaults()
        if let pojmenovaniPrijem = defaultsPrijem.stringForKey(nacteniCenyPrijem)
        {
            self.PopisekPrijem.text = pojmenovaniPrijem
            
        }

    }
       
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
       
    }
    
    @IBAction func tlacitkoSmazat(sender: AnyObject) {
        let defaultsDelete : NSUserDefaults = NSUserDefaults.standardUserDefaults()
        defaultsDelete.removeObjectForKey("polozka")
        
        let smazatVydaje : NSUserDefaults = NSUserDefaults.standardUserDefaults()
        smazatVydaje.removeObjectForKey("cenaVydaj")
        PopisekVydaje.text = nil
        
        let smazatPrijmy : NSUserDefaults = NSUserDefaults.standardUserDefaults()
        smazatPrijmy.removeObjectForKey("cenaPrijem")
        PopisekPrijem.text = nil
        
        self.PopisekUspory.text = nil
    }
    }

