//
//  DetailTableViewController.m
//  NoxWalletC
//
//  Created by Tomáš Hamerník on 05.07.15.
//  Copyright (c) 2015 Tomáš Hamerník. All rights reserved.
//

#import "DetailTableViewController.h"
#import "PrijemViewController.h"
#import "DetailViewController.h"

@interface DetailTableViewController ()

@end

@implementation DetailTableViewController

@synthesize polozkyView , string, cesta, druhZaznamuPole;

- (void)viewDidLoad {
    [super viewDidLoad];
    
    NSUserDefaults *userDefaultsLoad = [NSUserDefaults standardUserDefaults];
   
    NSMutableArray *nacteniPolozky = [[NSMutableArray alloc]init];
  
    nacteniPolozky = [[userDefaultsLoad objectForKey:@"polozky"]mutableCopy];
    self.polozkyView = nacteniPolozky;
    
    NSMutableDictionary *druhPolozky = [[NSMutableDictionary alloc]init];
    NSMutableArray *druhPolozkyArray = [[NSMutableArray alloc]init];
    
    NSUserDefaults *druhPolozkyDefaults = [NSUserDefaults standardUserDefaults];
    druhPolozkyArray = [druhPolozkyDefaults objectForKey:@"detailPolozky"];
    druhZaznamuPole = [[NSMutableArray alloc]init];
    for (int i = 0; i<[druhPolozkyArray count]; i++) {
        druhPolozky= [druhPolozkyArray objectAtIndex:i];
        NSString *druh = [druhPolozky objectForKey:@"druhZaznamu"];
        if ([druh  isEqual: @"prijem"]) {
            [druhZaznamuPole addObject:@"prijem"];

        } else {
            [druhZaznamuPole addObject:@"vydaj"];
        }

    }
    NSLog(@"%@",druhZaznamuPole);
    
    [self.tableView reloadData];

}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {

    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {

    return [self.polozkyView count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {

    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"Cell" forIndexPath:indexPath];
    
    static NSString *identifier = @"Cell";
   if (cell == nil)
    {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:identifier];
    }

    NSMutableArray *array = [self.polozkyView objectAtIndex:indexPath.row];
   // NSLog(@"%@",array);
    NSString *nazev = [NSString stringWithFormat:@"%@",array];
    cell.textLabel.text = nazev;

    NSString *druhZaznamu;
    for (int i = 0;i<[druhZaznamuPole count]; i++) {
        druhZaznamu = [druhZaznamuPole objectAtIndex:indexPath.row];
        if ([druhZaznamu  isEqual: @"prijem"]) {
            cell.backgroundColor = [UIColor greenColor];
            // NSLog(@"parada");
        } else {
            cell.backgroundColor = [UIColor redColor];
        }
    }
 
    return cell;
}

#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
   
    if ([segue.identifier  isEqual: @"Detail"]) {
       // NSIndexPath *cesta = [[NSIndexPath alloc]init];
        cesta = [[NSIndexPath alloc]init];
        cesta = self.tableView.indexPathForSelectedRow;
        DetailViewController *prechodDetail = [segue destinationViewController];
        prechodDetail.dataDetail = [polozkyView objectAtIndex:cesta.row];
        
        //musel sem si preulozit vybranej index tak abych podle toho mohl volat hodnoty v detailu
        NSUserDefaults *prechodDefaults = [NSUserDefaults standardUserDefaults];
        [prechodDefaults setInteger:cesta.row forKey:@"index"];
        
        [prechodDefaults synchronize];
        //prechodPrijem.PopisekPrijemText = self.HodnotaPolozky.text;
        NSLog(@"%ld", (long)cesta.row);
    }    // Get the new vie controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}


@end
