//
//  DetailViewController.m
//  NoxWalletC
//
//  Created by Tomáš Hamerník on 10.07.15.
//  Copyright (c) 2015 Tomáš Hamerník. All rights reserved.
//

#import "DetailViewController.h"
#import "DetailTableViewController.h"
#import "PrijemViewController.h"
#import "HlavniViewController.h"

@interface DetailViewController ()

@end

@implementation DetailViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    NSUserDefaults *defaultsDetail = [NSUserDefaults standardUserDefaults];
    NSUserDefaults *indexDefaults = [NSUserDefaults standardUserDefaults];
    
    NSMutableArray *pomocnePole = [[NSMutableArray alloc]init];
    pomocnePole = [[defaultsDetail objectForKey:@"detailPolozky"]mutableCopy];
    
    NSInteger hodnotaIndexu = [indexDefaults integerForKey:@"index"];
    
    self.dataDetail = [pomocnePole objectAtIndex:hodnotaIndexu];
    self.NazevPolozkyDetail.text = [self.dataDetail objectForKey:@"nazevPolozky"];
    self.HodnotaPolozkyDetail.text = [self.dataDetail objectForKey:@"hodnotaPolozky"];
    self.kategorieDetailPopisek.text = [self.dataDetail objectForKey:@"kategoriePolozky"];
    
    self.popisekDatum.text = [self.dataDetail objectForKey:@"datum"];
    NSLog(@"%@", [self.dataDetail objectForKey:@"nazevPolozky"]);
    NSLog(@"%ld", (long)hodnotaIndexu);
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (IBAction)SmazatPolozku:(id)sender {
    NSUserDefaults *userDefaults = [NSUserDefaults standardUserDefaults];
    NSUserDefaults *index = [NSUserDefaults standardUserDefaults];
    NSMutableArray *polePolozek = [[NSMutableArray alloc]init];
    polePolozek = [userDefaults objectForKey:@"polozky"];
    NSInteger hodnotaIndexu = [index integerForKey:@"index"];
    NSUserDefaults *knihovnaDefaults = [NSUserDefaults standardUserDefaults];
    NSMutableArray *poleKnihovny = [[NSMutableArray alloc]init];
    poleKnihovny = [[knihovnaDefaults objectForKey:@"detailPolozky"]mutableCopy];
 
    NSString *nacteniCenyPrijem = @"nacteniCeny";
    NSString *nacteniCenyVydaje = @"nacteniCenyVydaj";
    NSUserDefaults *defaultsPrijem = [NSUserDefaults standardUserDefaults];
    NSUserDefaults *defaultsVydaj = [NSUserDefaults standardUserDefaults];
    NSString *cenaPrijem;
    NSString *cenaVydaj;
    
    cenaPrijem = [defaultsPrijem objectForKey:nacteniCenyPrijem];
    cenaVydaj = [defaultsVydaj objectForKey:nacteniCenyVydaje];
    
    int cenaPrijemCislo = [cenaPrijem intValue];
    int cenaVydajCislo = [cenaVydaj intValue];
    
    int cenaPolozkyCislo = [[self.dataDetail objectForKey:@"hodnotaPolozky"]intValue];

    if ([[self.dataDetail objectForKey:@"druhZaznamu"]  isEqual: @"prijem"] ) {
        cenaPrijemCislo = cenaPrijemCislo - cenaPolozkyCislo;
        NSString *str = [NSString stringWithFormat:@"%d", cenaPrijemCislo];
        [defaultsPrijem setObject:str forKey:@"nacteniCeny"];
    } else {
        cenaVydajCislo = cenaVydajCislo - cenaPolozkyCislo;
        NSString *str = [NSString stringWithFormat:@"%d", cenaVydajCislo];
        [defaultsVydaj setObject:str forKey:@"nacteniCenyVydaj"];
    }
     
    NSMutableArray *pomocnePoleKnihoven = [[NSMutableArray alloc]init];
    NSString *str = [[NSString alloc]init];
    for (str in poleKnihovny) {
        [pomocnePoleKnihoven addObject:str];
    }

    [pomocnePoleKnihoven removeObjectAtIndex:hodnotaIndexu];
    [knihovnaDefaults removeObjectForKey:@"detailPolozky"];
    [knihovnaDefaults setObject:pomocnePoleKnihoven forKey:@"detailPolozky"];
 
    NSMutableArray *pomocnePolePolozek = [[NSMutableArray alloc]init];
    NSString *strPolozek = [[NSString alloc]init];
    for (strPolozek in polePolozek) {
        [pomocnePolePolozek addObject:strPolozek];
    }
    [pomocnePolePolozek removeObjectAtIndex:hodnotaIndexu];
    [userDefaults removeObjectForKey:@"polozky"];
    [userDefaults setObject:pomocnePolePolozek forKey:@"polozky"];
    
    [defaultsVydaj synchronize];
    [defaultsPrijem synchronize];
     [userDefaults synchronize];
    [knihovnaDefaults synchronize];

    //self.tlacitkoSmazat.enabled = false;
    NSLog(@"%@",poleKnihovny);
    //[self performSegueWithIdentifier:@"backStep" sender:self];
}
@end
