//
//  VydajViewController.m
//  NoxWalletC
//
//  Created by Tomáš Hamerník on 05.07.15.
//  Copyright (c) 2015 Tomáš Hamerník. All rights reserved.
//

#import "VydajViewController.h"
#import "HlavniViewController.h"

@interface VydajViewController ()

@end

@implementation VydajViewController

@synthesize polozkyVydaj,detailVydaj, kategoriePopisek, kategoriePicker;

NSString *cisloNoveStringVydaje;
NSString *prenosStringuVydaj;


NSString *nacteniCenyVydaj = @"nacteniCenyVydaj";

int cisloNoveIntVydaj;
int cisloPuvodniVydaj;


-(void)viewDidAppear:(BOOL)animated
{
    cisloPuvodniVydaj = [prenosStringuVydaj intValue];
}
- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.HodnotaPolozky.delegate = self;
    self.NazevPolozky.delegate = self;
    
    self.HodnotaPolozky.keyboardType = UIKeyboardTypeNumberPad;
   
    kategoriePopisek.text = @"Jidlo";
    kategorie = [[NSArray alloc]initWithObjects:@"Jidlo",@"Obleceni",@"Ostatni",@"Vyplata", nil];

    NSUserDefaults *defaultsVydaj = [NSUserDefaults standardUserDefaults];
    NSString *pojmenovaniVydaj;
    if ((pojmenovaniVydaj =[defaultsVydaj stringForKey:nacteniCenyVydaj])) {
        
        prenosStringuVydaj = pojmenovaniVydaj;
    }
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    if ([segue.identifier  isEqual: @"Vydaj"]) {
        HlavniViewController *prechodVydaj = [segue destinationViewController];
        prechodVydaj.PopisekVydajText = self.HodnotaPolozky.text;
        
    }
}


- (IBAction)TlacitkoVydaj:(id)sender {
    
    if (([self.NazevPolozky.text  isEqual: @""]) || ( [self.HodnotaPolozky.text  isEqual: @""]))
    {
        NSLog(@"Error");
    } else {

    //------------------------------------
    
    cisloNoveStringVydaje = self.HodnotaPolozky.text;
    
    
    cisloNoveIntVydaj = [cisloNoveStringVydaje intValue];
    NSLog(@"%d", cisloNoveIntVydaj);
    
    if (cisloPuvodniVydaj != (int)nil) {
        int vysledek = cisloPuvodniVydaj + cisloNoveIntVydaj;
        cisloPuvodniVydaj = vysledek;
        
        prenosStringuVydaj = [NSString stringWithFormat:@"%d",vysledek];
        
        
    } else {
        prenosStringuVydaj = self.HodnotaPolozky.text;
        cisloPuvodniVydaj = [self.HodnotaPolozky.text intValue];
        
    }
    //self.Pokus.text = prenosStringuPrijem;
    
    NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
    [defaults setObject:prenosStringuVydaj forKey:nacteniCenyVydaj];
    
    
    NSUserDefaults *userDefaults = [NSUserDefaults standardUserDefaults];
    NSUserDefaults *detailDefaults = [NSUserDefaults standardUserDefaults];
    
    //NSMutableArray *polozkyPrijem = [[NSMutableArray alloc]init];
    polozkyVydaj = [userDefaults objectForKey:@"polozky"]; //userDefaults.objectForKey("polozka") as? NSMutableArray
    detailVydaj = [detailDefaults objectForKey:@"detailPolozky"];

    //!!!!!!!!!!!-------Pro prvni naplnení---------!!!!!!!!!
    //NSMutableArray *Prijem = [[NSMutableArray alloc]init];
    //[Prijem addObject:self.NazevPolozky.text];
    //[userDefaults setObject:Prijem forKey:@"polozky"];
    
    //[polozkyPrijem addObject:self.NazevPolozky.text];
    
    
    // upravene po prechodu na xcode 7
    
    NSMutableArray *Vydaj = [[NSMutableArray alloc]init];
    [Vydaj addObject:self.NazevPolozky.text];
    
    if (polozkyVydaj !=nil) {
        NSMutableArray *novePole = [[NSMutableArray alloc]init];
        NSMutableArray *dict = [[NSMutableArray alloc]init];
        
        for (dict in polozkyVydaj) {
            [novePole addObject:dict];
        }
        
        [userDefaults removeObjectForKey:@"polozky"];
        [novePole addObject:[Vydaj objectAtIndex:0]];
        [detailDefaults setObject:novePole forKey:@"polozky"];
    } else {
        [userDefaults removeObjectForKey:@"polozky"];
        NSMutableArray *novePole = [[NSMutableArray alloc]init];
        [novePole addObject:[Vydaj objectAtIndex:0]];
        [userDefaults setObject:novePole forKey:@"polozky"];
        
    }

    
    NSDateFormatter *dateFormatter=[[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"dd-MM-yyyy HH:mm"];
    NSLog(@"%@",[dateFormatter stringFromDate:[NSDate date]]);
    NSString *datum =[dateFormatter stringFromDate:[NSDate date]];

    
    
    NSMutableDictionary *dataVydaj = [[NSMutableDictionary alloc]init];
    [dataVydaj setObject:self.NazevPolozky.text forKey:@"nazevPolozky"];
    [dataVydaj setObject:self.HodnotaPolozky.text forKey:@"hodnotaPolozky"];
    [dataVydaj setObject:@"vydaj" forKey:@"druhZaznamu"];
    [dataVydaj setObject:self.kategoriePopisek.text forKey:@"kategoriePolozky"];
     [dataVydaj setObject:datum forKey:@"datum"];
    //[detailDefaults setObject:dataPrijem forKey:@"detailPolozky"];
    
    if (detailVydaj !=nil) {
        NSMutableArray *novePole = [[NSMutableArray alloc]init];
        NSDictionary *dict = [[NSDictionary alloc]init];
        for (dict in detailVydaj) {
            [novePole addObject:dict];
        }
        
        [detailDefaults removeObjectForKey:@"detailPolozky"];
        [novePole addObject:dataVydaj];
        [detailDefaults setObject:novePole forKey:@"detailPolozky"];
    } else {
        [detailDefaults removeObjectForKey:@"detailPolozky"];
        NSMutableArray *novePole = [[NSMutableArray alloc]init];
        [novePole addObject:dataVydaj];
        [detailDefaults setObject:novePole forKey:@"detailPolozky"];
    }

    [detailDefaults synchronize];
    [userDefaults synchronize];
    NSLog(@"%@",[userDefaults objectForKey:@"polozky"]);
    NSLog(@"%@",[detailDefaults objectForKey:@"detailPolozky"]);
    NSLog(@"%@", [dataVydaj objectForKey:@"nazevPolozky"]);

    }
}



-(NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
    return 1;
}

-(NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component
{
    return [kategorie count];
}

- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component
{
    return [kategorie objectAtIndex:row];
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component
{
    
    [kategoriePopisek setText:[kategorie objectAtIndex:row]];
}

-(void) touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    [self.HodnotaPolozky resignFirstResponder];
    [self.NazevPolozky resignFirstResponder];
    [self.view endEditing:true];
    
}

@end
